$! setup for antiword resource directory in [.resources] or [.'p1'] if specified
$! P1 must be a subdirectory name without "[ . ]".
$ subdir = "RESOURCES"
$ if p1 .nes. "" then subdir = p1
$ here=f$environment("PROCEDURE")
$ devdir = f$parse(here,,,"DEVICE")+f$parse(here,,,"DIRECTORY")-"]"
$ antiwordhome = devdir+"."+subdir+"]"
$ define ANTIWORDHOME 'antiwordhome' 
$ if f$type(antiword).eqs."" 
$ then
$  exe=f$search("antiword.exe")
$  if exe .nes. "" then antiword :== $'exe'
$ else
$  if f$search("DCL$PATH:antiword.exe").eqs."" then write sys$output "antiword.exe not found!"
$ endif
$ 
$ EXIT


There is a version contributed by M.Foerster, allowing a more general P1:

$! setup for antiword resource directory in [.resources] or [.'p1'] if specified
$ subdir = ".RESOURCES"
$ if p1 .nes. ""
$  then
$    inp = p1
$    L1 = f$LOCATE("[",inp)
$    L2 = f$LENGTH(inp)
$    if L1.LT.L2 then inp = f$EXTRACT(L1+1,80,inp)
$    L1 = f$LOCATE("]",inp)
$    L2 = f$LENGTH(inp)
$    if L1.NE.L2 then inp = f$EXTRACT(0,L1,inp)
$    L1 = f$LOCATE(".",inp)
$    L2 = f$LENGTH(inp)
$    if L1.NE.L2 then inp = f$EXTRACT(L1+1,80,inp)
$    if inp.nes."" then subdir = "."+inp
$ endif
$ here=f$environment("PROCEDURE")
$ devdir = f$parse(here,,,"DEVICE")+f$parse(here,,,"DIRECTORY")-"]"
$ antiwordhome = devdir+""+subdir+"]"
$ define ANTIWORDHOME 'antiwordhome' 

